# $Revision: 1.14.2.2 $, $Date: 2007/02/17 08:51:27 $
#
# We still statically link in Cairo (and include the Cairo sources as part of
# our libgdiplus tree). Two main reasons for that: First, it eases the
# dependency hell a bit, there's not yet another lib you have to get and/or
# build, second reason is that until we use Pango for text (see below), we can
# do some private stuff to cairo to improve text-display related performance.
# --- but: the first reason is meaningless in PLD, the second seems only theoretical
#
# WARNING! libgdiplus will not work if compiled with -fomit-frame-pointer
#
Summary:	An Open Source implementation of the GDI+ API
Summary(pl):	Otwarta implementacja API GDI+
Name:		libgdiplus
Version:	1.2.3
Release:	1
License:	LGPL/MPL/MIT X11
Group:		Libraries
#Source0Download: http://www.go-mono.com/sources/
Source0:	http://www.go-mono.com/sources/libgdiplus-1.1/%{name}-%{version}.tar.gz
# Source0-md5:	a29d56304aca9236754e61bf8ee518ee
Patch0:		%{name}-link.patch
URL:		http://www.go-mono.com/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	giflib-devel
BuildRequires:	glib2-devel >= 1:2.2.3
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xrender-devel
Requires:	glib2 >= 1:2.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An Open Source implementation of the GDI+ API.

This is part of the Mono project.

%description -l pl
Otwarta implementacja API GDI+.

Cz projektu Mono.

%package devel
Summary:	Development files for libgdiplus
Summary(pl):	Pliki programistyczne libgdiplus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2.0
Requires:	giflib-devel
Requires:	glib2-devel >= 1:2.2.3
Requires:	libjpeg-devel
Requires:	libpng-devel >= 1.2
Requires:	libtiff-devel
Requires:	xrender-devel

%description devel
Development files for libgdiplus.

%description devel -l pl
Pliki programistyczne libgdiplus.

%package static
Summary:	Static libgdiplus library
Summary(pl):	Statyczna biblioteka libgdiplus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgdiplus library.

%description static -l pl
Statyczna biblioteka libgdiplus.

%prep
%setup -q
%patch0 -p1

%build
cd cairo
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd -

%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS README TODO
%attr(755,root,root) %{_libdir}/libgdiplus.so.*.*.*
# needed at runtime for mono to load it as gdiplus.dll
%attr(755,root,root) %{_libdir}/libgdiplus.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/libgdiplus.la
%{_pkgconfigdir}/libgdiplus.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdiplus.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgdiplus.spec,v $
Revision 1.14.2.2  2007/02/17 08:51:27  qboosh
- merged 1.2.3 from HEAD

Revision 1.14.2.1  2006/08/04 18:28:22  freetz
- 1.1.13.6

Revision 1.14  2005/10/05 09:25:59  qboosh
- updated download URL

Revision 1.13  2005/09/24 09:59:30  pawcioos
- updated to 1.1.9.1

Revision 1.12  2005/09/09 18:32:56  wolf
- 1.1.9

Revision 1.11  2005/08/10 23:05:14  wolf
- cleanup

Revision 1.10  2005/06/18 22:00:08  wolf
- use builtin cairo, it doesn't work otherwise

Revision 1.9  2005/06/18 17:42:08  qboosh
- not ready for cairo 0.5.0 yet

Revision 1.8  2005/06/18 12:01:04  wolf
- 1.1.8

Revision 1.7  2005/05/08 17:40:03  witekfl
- fixed URL for Source

Revision 1.6  2005/05/08 16:24:08  witekfl
- update to 1.1.7

Revision 1.5  2005/04/03 14:38:39  qboosh
- more verbose files, -devel desc fix (what headers?)
- .so symlink moved to main package (for mono)

Revision 1.4  2005/04/03 14:13:48  qboosh
- added cairo patch (hacks to build with cairo 0.4.0)
- more BRs, download URL

Revision 1.3  2005/03/24 21:31:22  wolf
- 1.1.5

Revision 1.2  2005/02/26 22:17:30  wolf
- md5

Revision 1.1  2005/02/26 22:08:37  wolf
- new
